import './demo2.css';
import Grid from '..';
import React from 'react';
import ReactDOM from 'react-dom';
const { Row, Col } = Grid;
ReactDOM.render(React.createElement("div", { className: "mixin-demo" },
    React.createElement("div", { className: "grid-fixed-demo-title" }, "Two-column layout, left column fixed, right column adaptive"),
    React.createElement(Row, null,
        React.createElement(Col, { fixedSpan: "16" }, "col-fixed-16"),
        React.createElement(Col, null, "col")),
    React.createElement("div", { className: "grid-fixed-demo-title" }, "Two-column layout, right column fixed, left column adaptive"),
    React.createElement(Row, null,
        React.createElement(Col, null, "col"),
        React.createElement(Col, { fixedSpan: "16" }, "col-fixed-16")),
    React.createElement("div", { className: "grid-fixed-demo-title" }, "Three-column layout, left column and right column fixed, middle column adaptive"),
    React.createElement(Row, null,
        React.createElement(Col, { fixedSpan: "8" }, "col-fixed-8"),
        React.createElement(Col, null, "col"),
        React.createElement(Col, { fixedSpan: "8" }, "col-fixed-8"))), document.getElementById('grid-demo-2'));
